Altibase.jdbc.driver

## Class AltibaseScrollableResultSet

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseResultSet
  - - Altibase.jdbc.driver.AltibaseReadableResultSet
    - - Altibase.jdbc.driver.AltibaseScrollableResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseScrollInsensitiveResultSet, AltibaseScrollSensitiveResultSet

    public abstract class AltibaseScrollableResultSet
    extends AltibaseReadableResultSet

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseResultSet

`mContext, mFetchSize, mStatement, mWarning`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseScrollableResultSet()`

### Method Summary

### Methods inherited from class Altibase.jdbc.driver.AltibaseReadableResultSet

`cancelRowUpdates, closeResultSetCursorInternal, deleteRow, first, getConcurrency, insertRow, last, moveToCurrentRow, moveToInsertRow, relative, rowDeleted, rowHandle, rowInserted, rowUpdated, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNString, updateNull, updateObject, updateObject, updateRow, updateShort, updateString, updateTime, updateTimestamp`

### Methods inherited from class Altibase.jdbc.driver.AltibaseResultSet

`checkFetchDirection, clearWarnings, close, closeResultSetCursor, createSQLFeatureNotSupportedException, cursorMoved, fetchRemains, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getExplainPlan, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTargetColumn, getTargetColumnCount, getTargetColumnInfo, getTargetColumns, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isClosed, isWrapperFor, registerTarget, setAllowLobNullSelect, setClosed, setFetchDirection, setFetchSize, throwErrorForClosed, throwErrorForForwardOnly, throwErrorForReadOnly, throwErrorForScrollInsensitive, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNull, updateObject, updateObject, updateRef, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, getRow, getType, isAfterLast, isBeforeFirst, isFirst, isLast, next, previous, refreshRow, updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### AltibaseScrollableResultSet

    public AltibaseScrollableResultSet()